Page MenuHomePhabricator

build new version of mcrouter package
Closed, ResolvedPublic

Description

Aaron has said on IRC that he needs a new version of the mcrouter package which includes this change which is already merged:

https://gerrit.wikimedia.org/r/#/c/407030/

A new version needs to be built on boron and then uploaded to apt.wm.org (install1002) so that he can use it in "labs".

Details

Related Gerrit Patches:
operations/debs/mcrouter : masterUpgrade to 0.37.0

Event Timeline

Dzahn created this task.Mar 28 2018, 11:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2018, 11:58 PM
Joe claimed this task.Apr 10 2018, 5:47 AM
Joe triaged this task as High priority.
Joe added a project: User-Joe.

Status update:

  • I've built 0.37.0 for stretch, will upload the package today if all goes well
  • I'm working on a jessie backport, which will be hopefully done shortly

Change 423748 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/debs/mcrouter@master] Upgrade to 0.37.0

https://gerrit.wikimedia.org/r/423748

Change 423748 merged by Giuseppe Lavagetto:
[operations/debs/mcrouter@master] Upgrade to 0.37.0

https://gerrit.wikimedia.org/r/423748

Mentioned in SAL (#wikimedia-operations) [2018-04-10T11:59:27Z] <_joe_> uploading mcrouter 0.37.0 to jessie-wikimedia (T190979)

Mentioned in SAL (#wikimedia-operations) [2018-04-10T12:01:46Z] <_joe_> uploading mcrouter 0.37.0 to stretch-wikimedia (T190979)

Joe added a comment.Apr 10 2018, 2:34 PM

I built and uploaded two packages for 0.37.0, both in jessie and stretch. I will try to document the build process and automate it as much as possible.

Joe closed this task as Resolved.Apr 10 2018, 2:34 PM